com.lowagie.text.html

## Class HtmlEncoder

- java.lang.Object
- - com.lowagie.text.html.HtmlEncoder

-     public final class HtmlEncoder
      extends java.lang.Object

  This class converts a `String` to the HTML-format of a String.

  To convert the `String`, each character is examined:

  - ASCII-characters from 000 till 031 are represented as &#xxx;
    (with xxx = the value of the character)
  - ASCII-characters from 032 t/m 127 are represented by the character itself, except for:
    - '\n' becomes <BR>\n
    - " becomes &quot;
    - & becomes &amp;
    - < becomes &lt;
    - > becomes &gt;
  - ASCII-characters from 128 till 255 are represented as &#xxx;
    (with xxx = the value of the character)

  Example:

  >         String htmlPresentation = HtmlEncoder.encode("Marie-Thérèse Sørensen");

  for more info: see O'Reilly; "HTML: The Definitive Guide" (page 164)

  Author:
    mario.maccarini@ugent.be

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.lang.String[]` | `htmlCode` List with the HTML translation of all the characters.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `HtmlEncoder()` This class will never be constructed.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `encode(java.awt.Color color)` Converts a `Color` into a HTML representation of this `Color`.
    `static java.lang.String` | `encode(java.lang.String string)` Converts a `String` to the HTML-format of this `String`.
    `static java.lang.String` | `getAlignment(int alignment)` Translates the alignment value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### htmlCode

          private static final java.lang.String[] htmlCode

      List with the HTML translation of all the characters.

  - ### Constructor Detail

    - #### HtmlEncoder

          private HtmlEncoder()

      This class will never be constructed.

      HtmlEncoder only contains static methods.

  - ### Method Detail

    - #### encode

          public static java.lang.String encode(java.lang.String string)

      Converts a `String` to the HTML-format of this `String`.
      Parameters:
        `string` - The `String` to convert
      Returns:
        a `String`

    - #### encode

          public static java.lang.String encode(java.awt.Color color)

      Converts a `Color` into a HTML representation of this `Color`.
      Parameters:
        `color` - the `Color` that has to be converted.
      Returns:
        the HTML representation of this Color

    - #### getAlignment

          public static java.lang.String getAlignment(int alignment)

      Translates the alignment value.
      Parameters:
        `alignment` - the alignment value
      Returns:
        the translated value